# Vecs

Collection of vectors where the data for the vectors is stored in one continquous memory

### Synopsis

    struct _n_Vecs  {PetscInt n; Vec v;};

### Notes

Temporary construct for handling multiply right hand side solves

This is faked by storing a single vector that has enough array space for n vectors

Level:advanced
Location: src/vec/vec/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages